USE [TryNFeOnline]
GO

ALTER TABLE [dbo].[classificacaotributaria] ALTER COLUMN [UFDestino] [varchar] (200) COLLATE Latin1_General_CI_AS NULL
GO
ALTER TABLE [dbo].[emitente] ADD 
[cnpjAplicacaoExtratta] [varchar] (20) COLLATE Latin1_General_CI_AS NULL
GO
ALTER TABLE [dbo].[IcmsAliquotaInterestadual] ADD 
[idOperadorUltimaMudanca] [int] NULL,
[dataUltimaMudanca] [datetime] NULL
GO
ALTER TABLE [dbo].[OperadorConfiguracoes] ADD 
[idnPermiteAjustarEstoqueProdutoTelaCadastro] [bit] NULL
GO
ALTER TABLE [dbo].[OrdemCarga] ADD 
[idOperadorApontamento] [int] NULL,
[dataUltimoInicioApontamento] [datetime] NULL
GO
ALTER TABLE [dbo].[produtoimposto] ADD 
[idnConsiderarAliquotaIcmsDeTabela] [bit] NULL
GO
ALTER TABLE [dbo].[RotasCidades] ADD 
[sequenciaPercurso] [int] NULL
GO
ALTER TABLE [dbo].[versao] ADD 
[revisao] [int] NULL
GO
CREATE TABLE [dbo].[PedidoProdutoImagem]
(
	[id] [int] IDENTITY (1,1) NOT NULL,
	[idPedidoProduto] [int] NOT NULL,
	[imagem] [varbinary] (max) NULL,
	CONSTRAINT [PK_PedidoProdutoImagem] PRIMARY KEY CLUSTERED
	(
		[id] ASC
	) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY  = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[PedidoProdutoImagem] ADD CONSTRAINT [FK_PedidoProdutoImagem_pedidoProduto] FOREIGN KEY
	(
		[idPedidoProduto]
	)
	REFERENCES [dbo].[pedidoProduto]
	(
		[id]
	)
GO
INSERT INTO [dbo].[configuracaoNovo]([nomeParametro],[descricaoSimplificada],[descricaoDetalhada],[tipoValor],[valor],[grupo],[subgrupo],[tamanhoValorMaximo],[idnParametroMultilinhas],[idnParametroRadio],[idnParametroSelecaoPasta],[idnPermiteAlteracaoApenasPorAdmins],[idnCampoSenha],[tabelaSelecao],[filtroSelecao],[validacaoRegularExpression]) VALUES ('idnBloquearImportacaoXMLNFePeloEmitente', 'Bloquear a importação da NFe para o Emitente do Documento', 'Selecione esta opção quando desejar que não seja permitido importar a "Saída" de uma nota fiscal excluída por exemplo, ou emitida por outro sistema, ou seja, mesmo o emitente estando cadastrado como uma filial, permitir importar apenas as Entradas.', 'bool', 'False', 'Importação da NFe', 'Configurações da Importação do XML',null,0,0,0,0,0,null,null,null)
GO
IF (select COUNT(id) from RotasCidades) > 0
BEGIN
	DECLARE @Rotas TABLE (id int)

	INSERT @Rotas
	SELECT id from Rotas

	DECLARE @codigoRota int

	DECLARE db_cursor CURSOR FOR
	SELECT id FROM @Rotas
	OPEN db_cursor
	FETCH NEXT FROM db_cursor INTO @codigoRota

	WHILE @@FETCH_STATUS = 0
	BEGIN
		With UpdateData As
		(
			SELECT id,
			ROW_NUMBER() OVER (ORDER BY [id]) AS seq
			FROM RotasCidades 
			WHERE idRota = @codigoRota
		)
		UPDATE RotasCidades SET sequenciaPercurso = seq
		FROM RotasCidades
		INNER JOIN UpdateData ON RotasCidades.id = UpdateData.id
		WHERE idRota = @codigoRota

		FETCH NEXT FROM db_cursor INTO @codigoRota
	END

	CLOSE db_cursor
	DEALLOCATE db_cursor
END
GO
INSERT INTO VERSAO(VERSAO, VERSAOATUALIZACAO, DATAATUALIZACAO, REVISAO) VALUES(474, 732, GETDATE(),1);
